<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" background="images/bg.gif">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background:url(images/bg02.gif) repeat-x bottom;">
  <tr>
    <td height="277" style="background-image: url(images/bg01.gif);background-repeat: repeat-x;background-position: left top;"><table width="100%" height="66" border="0" cellpadding="0" cellspacing="0" background="images/tmenubg.gif">
      <tr>
        <td width="40"><img src="images/space.gif" width="40" height="10"/></td>
        <td align="center"><table  border="0" cellspacing="0" cellpadding="0">
            <tr> <xsl:call-template name="TOP-MENU"/> </tr>
        </table></td>
        <td width="40"><img src="images/space.gif" width="40" height="10"/></td>
      </tr>
    </table>
    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="10%"><img src="images/left01.gif" width="95" height="211"/></td>
       <td width="100%" align="left" valign="middle" background="images/headerbg.gif"><table width="300" border="0" cellspacing="0" cellpadding="0">
         <tr>
           <td width="70" rowspan="3" align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
           <td align="center"></td>
         </tr>
         <tr>
           <td valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
         <tr>
           <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table></td>
        <td width="444" align="right" valign="top"><img src="images/header.gif" width="444" height="211"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top"  ><table width="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/subbg.gif);
	background-repeat: repeat-y;
	background-position: right; ">
          <tr>
            <td width="10%" valign="top" background="images/leftbg.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="100%" valign="top"><img src="images/left02.gif" width="95" height="63"/></td>
              </tr>
              <tr>
                <td height="10" valign="bottom"><img src="images/left.gif" width="95" height="10"/></td>
              </tr>
            </table></td>
            <td width="100%" height="275"  valign="top" class="bg" style="padding:36px 16px 36px 0px;"><table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </tr>
              </table>
                <br />
                <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="100%" align="left" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                  </tr>
              </table></td>
            <td width="298" valign="top" class="bg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="right"><table width="298"  border="0" cellpadding="0" cellspacing="0" background="images/submenu_m.gif">
                      <tr>
                        <td height="246" valign="top" style="background:url(images/submenu_t.gif) no-repeat;padding-top:25px;"><table width="237"  border="0" cellspacing="0" cellpadding="0">
                            <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                        </table></td>
                      </tr>
                      <tr>
                        <td><img src="images/submenu_b.gif" width="298" height="15"/></td>
                      </tr>
                  </table></td>
                </tr>
                <tr>
                  <td height="100%" valign="bottom" background="images/right_bg_t.gif"><img src="images/right_bg.gif" width="317" height="238"/></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="45"><table width="100%" height="45"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="95"><img src="images/left03.gif" width="95" height="45"/></td>
            <td align="center" background="images/cent.gif" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
            <td width="95"><img src="images/right03.gif" width="95" height="45"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="38" valign="top"></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="46" align="right" class="smenub" height="32"><img src="images/subicon.gif" width="5" height="5"/></td>
<td class="smenub" width="185" height="32" style="padding-left:13px;"><span class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="46" align="right" height="32"><img src="images/subicon.gif" width="5" height="5"/></td>
<td class="smenu" width="185" height="32" style="padding-left:13px;"><a href="{@HREF}" class="smenu"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr><td height="2" colspan="2"><img src="images/subline.gif" width="231" height="2"/></td></tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		<td style="width:5px;"></td>
        <td class="abmenu"><span class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<td style="width:5px;"></td>
           </xsl:when>
           <xsl:otherwise>
		<td style="width:5px;"></td>
		<td class="abmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="width:5px;"></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td><img src="images/av234_36.gif" style="margin: 0px 5px 0px 5px;"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
